import { NFT_PROPOSAL } from 'src/apollo/vote';
import { ProposalData, ProposalState } from '../types';
export declare const enumerateProposalState: (state: number) => string;
export declare const getProposalState: (proposal: NFT_PROPOSAL) => ProposalState.pending | ProposalState.active | ProposalState.canceled | ProposalState.defeated | ProposalState.succeeded | ProposalState.queued | ProposalState.executed;
export declare function useGetProposalsViaSubgraph(id?: string): ProposalData[];
export declare function useGetProposalDetailViaSubgraph(id: string): ProposalData | undefined;
export declare function useProposalData(id: string): ProposalData | undefined;
export declare function useProposalCount(): number | undefined;
export declare function useSarNftAllProposalData(): ProposalData[];
